# -*- coding: utf-8 -*-
# @internal_comment
#
#   Copyright © 2015 Ken Coar
#
#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.
#

# @internal_comment
#
# This file exists solely to ensure that Yard picks up the module documentation properly.
#

#
# The *Fibonaccia* module simply provides three things to Ruby code:
#
# 1. Access to a constant, <tt>Fibonaccia.PHI</tt> (φ), which is the
#    value of the Golden Ratio (see the
#    {https://en.wikipedia.org/wiki/Golden_ratio Wikipedia article})
#    either to whatever precision Ruby is using, or to an arbitrarily
#    great precision using <tt>BigDecimal</tt> semantics;
# 2. The Fibonacci sequence, to however many terms you desire (and your resources
#    can support);
# 3. Coördinates to construct a {https://en.wikipedia.org/wiki/Golden_spiral golden spiral}
#    (<b>not</b> the Fibonacci spiral, which is an <i>approximation</i> of
#    the golden spiral).  <b><i>Not yet implemented.</i></b>
#
module Fibonaccia
end                             # module Fibonaccia
